apt 3.2.0 commandline package manager

Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
pkgIndexFile::Type Class Reference
Inheritance diagram for pkgIndexFile::Type:

## Public Member Functions
virtual pkgRecords::Parser * | CreatePkgParser (pkgCache::PkgFileIterator const &) const
virtual pkgSrcRecords::Parser * | CreateSrcPkgParser (std::string const &) const

## Static Public Member Functions
static Type * | GetType (const char *const Type) APT_PURE

## Public Attributes
const char * | Label

## Static Public Attributes
static Type ** | GlobalList = ItmList
static unsigned long | GlobalListLen = 0

The documentation for this class was generated from the following files:

- apt-pkg/indexfile.h
- apt-pkg/indexfile.cc